Errors import
curl --request GET \
--url https://api.sendrealm.com/imports/{import_id}/errors \
--header 'Authorization: Bearer <token>' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>'const options = {
method: 'GET',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sendrealm.com/imports/{import_id}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/imports/{import_id}/errors"
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"row_number": 2,
"status": "<string>",
"error_code": "<string>",
"error_path": "<string>"
}
],
"metadata": {
"has_more": true,
"next": "<string>",
"limit": 50
}
}Agent import API
Errors import
GET
/
imports
/
{import_id}
/
errors
Errors import
curl --request GET \
--url https://api.sendrealm.com/imports/{import_id}/errors \
--header 'Authorization: Bearer <token>' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>'const options = {
method: 'GET',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sendrealm.com/imports/{import_id}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/imports/{import_id}/errors"
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"row_number": 2,
"status": "<string>",
"error_code": "<string>",
"error_path": "<string>"
}
],
"metadata": {
"has_more": true,
"next": "<string>",
"limit": 50
}
}Requires a scoped personal key, explicit project selection, and current role authorization. See Agent imports for validation, consent, preparation, and recovery.
Authorizations
Integration key for backend workloads, or a scoped personal key (sr_user_) for account discovery and supported project operations. MCP accepts only personal keys.
Headers
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0